// Desk Cable Hugger v2.0

// Customizable desk hugger to organize cables.



// Improves upon https://www.thingiverse.com/thing:782152


// Thickness if the desktop
desk_thickness = 20;

// Gap for inserting cables
cable_gap = 5;

// Angle of the top of the clamp so that it has a better grip on the table
clamp_angle = -2;

// Diameter of the botten half circle 
diameter_holder = 40;

// Width of the desk hugger
clamp_width = 40;

// Offset added to desk_thickness
clamp_offset = 0;

// Printer Parameters
// Diameter of the nozzle
nozzle = 0.4;
// Number of lines to be printed
n_lines = 6;

// Claculations

thickness = n_lines*nozzle;
desk_width = desk_thickness - clamp_offset;

linear_extrude(clamp_width) union(){
    difference(){
        union(){
    //        L shaped holder
            square([desk_width + diameter_holder/2, thickness]); 
            rotate([0,0,clamp_angle])square([thickness, diameter_holder]);
    //        outer circle
            translate([desk_width + diameter_holder/2,diameter_holder/2]) circle(d= diameter_holder, $fn = 100);
           
            };
    //        inner Circle
        translate([desk_width + diameter_holder/2,diameter_holder/2]) circle(d= diameter_holder-thickness*2, $fn = 100);
    //        L holder      
    //        cable gap
        translate([desk_width,thickness]) square([diameter_holder/2-thickness, diameter_holder]);   
            
    };
    translate([desk_width,diameter_holder-thickness]) square([diameter_holder/2, thickness]);
    translate([desk_width,thickness+cable_gap]) square([thickness,diameter_holder-cable_gap- thickness]);
};
